#ifndef CONSOLE_H
#define CONSOLE_H

#include <stdarg.h>
#include "io.h"

void con_set_baudrate(uint32_t);
void con_putc(char c);
void con_puts(const char *);
void con_vprintf(const char *, va_list);
void con_printf(const char *, ...);

static inline void con_flush(void)
{
    while (!(CON_STATUS & 1))
	/* wait */;
}

#endif /* CONSOLE_H */
